#include<iostream>
using namespace std;
long long a, b, l, k, br=0;
bool m[100000];
int main(){
    cin>>a>>b>>l;
    for(int i=1; i*a+b<=l; i++){
        for(int j=1; j*b+i*a<=l; j++){
            m[a*i+j*b]=true;
        }
    }
    for(int i=1; i<=l; i++){
        if(m[i]==false) br++;
    }
    cout<<br;
    return 0;
}
